package org.springblade.modules.sqjw.jwtdzrq.wrapper;

import org.springblade.core.mp.support.BaseEntityWrapper;
import org.springblade.core.tool.utils.BeanUtil;
import org.springblade.modules.sqjw.jwtdzrq.entity.JwtdZrqEntity;
import org.springblade.modules.sqjw.jwtdzrq.vo.JwtdZrqVO;

import java.util.Objects;

/**
 * 警务团队-警务责任区 包装类,返回视图层所需的字段
 *
 * @author BladeX
 * @since 2024-04-03
 */
public class JwtdZrqWrapper extends BaseEntityWrapper<JwtdZrqEntity, JwtdZrqVO> {

	public static JwtdZrqWrapper build() {
		return new JwtdZrqWrapper();
	}

	@Override
	public JwtdZrqVO entityVO(JwtdZrqEntity jwtdzrq) {
		JwtdZrqVO jwtdzrqVO = Objects.requireNonNull(BeanUtil.copy(jwtdzrq, JwtdZrqVO.class));
		return jwtdzrqVO;
	}

}
